# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAboutContainerBase Class Reference

Used internally by KAboutDialog. More...

`#include <kaboutdialog_private.h>`

Inheritance diagram for KAboutContainerBase:

[legend]
Collaboration diagram for KAboutContainerBase:

[legend]
List of all members.

## Public Types

enum | LayoutType { AbtPlain = 0x0001, AbtTabbed = 0x0002, AbtTitle = 0x0004, AbtImageLeft = 0x0008, AbtImageRight = 0x0010, AbtImageOnly = 0x0020, AbtProduct = 0x0040, AbtKDEStandard = AbtTabbed|AbtTitle|AbtImageLeft, AbtAppStandard = AbtTabbed|AbtTitle|AbtProduct, AbtImageAndTitle = AbtPlain|AbtTitle|AbtImageOnly }

## Public Slots

virtual void | slotMouseTrack (int mode, const QMouseEvent *e)
virtual void | slotUrlClick (const QString &url)
virtual void | slotMailClick (const QString &name, const QString &address)

## Signals

void | mouseTrack (int mode, const QMouseEvent *e)
void | urlClick (const QString &url)
void | mailClick (const QString &name, const QString &address)

## Public Member Functions

| KAboutContainerBase (int layoutType, QWidget *parent=0, char *name=0)
virtual void | show (void)
virtual QSize | sizeHint (void) const
void | setTitle (const QString &title)
void | setImage (const QString &fileName)
void | setImageBackgroundColor (const QColor &color)
void | setImageFrame (bool state)
void | setProgramLogo (const QString &fileName)
void | setProgramLogo (const QPixmap &pixmap)
void | setProduct (const QString &appName, const QString &version, const QString &author, const QString &year)
QFrame * | addTextPage (const QString &title, const QString &text, bool richText=false, int numLines=10)
QFrame * | addLicensePage (const QString &title, const QString &text, int numLines=10)
KAboutContainer * | addContainerPage (const QString &title, int childAlignment=AlignCenter, int innerAlignment=AlignCenter)
KAboutContainer * | addScrolledContainerPage (const QString &title, int childAlignment=AlignCenter, int innerAlignment=AlignCenter)
QFrame * | addEmptyPage (const QString &title)
KAboutContainer * | addContainer (int childAlignment, int innerAlignment)

## Protected Member Functions

virtual void | fontChange (const QFont &oldFont)

## Detailed Description

Used internally by KAboutDialog.

Definition at line 69 of file kaboutdialog_private.h.

The documentation for this class was generated from the following files:

- kaboutdialog_private.h
- kaboutdialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:29 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003